You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2017-04-25 16:51:32

c-dallem
Guest
Registered: 2016-02-02
Posts: 56

import tickets

Bonjour

j aimerais importer mes anciens tickets (plus de 20000) de mon ancienne base mysql avec mon glpi 0.78 sur ma nouvelle base et mon glpi 0.90!
l ancienne table se nomme tracking et la nouvelle tickets! Et lorsque je l importe elle ne remonte pas dans le glpi!
j'ai essayé d importer la tracking et de la copier dans tickets mais non... Please help me

Offline

#2 2017-04-26 10:09:31

c-dallem
Guest
Registered: 2016-02-02
Posts: 56

Re: import tickets

Personne...!?

Offline

#3 2017-04-26 11:07:48

LaDenrée
HELPER
Registered: 2012-11-19
Posts: 3,452

Re: import tickets

pour récupérer vos tickets, il faut partir de votre version 0.78 et migrer vers la 0.90
les scripts de migration vont vous mettre la base de données au format de la version cible.

cependant un ticket n'est pas enregistré que dans une table , les acteurs, les éléments associés, les suivis, les tâches, les historiques sont dans d'autres tables liées.

vous risquez d'avoir des doublons entre vos tickets importés et ceux créés en 0.90...

quoi que vous fassiez, ne le faites pas sur votre base de prod, et assurez vous de savoir restaurer vos sauvegardes.


Trouver la panne avant de réparer...
*GLPI 9.1.6+fusion9.1+1.1+behaviours1.5.0+reports+fields+appliances+pdf+badges+webservices PHP7.0 Mariadb10
*GLPI 9.2.1(behaviours1.5.2+fusion9.2+1.0+applicatifs2.3.0)hebergé sur serveur mutualisé.

Offline

#4 2017-04-27 09:50:05

c-dallem
Guest
Registered: 2016-02-02
Posts: 56

Re: import tickets

Encore une fois merci LaDenrée,
le problème est que certains champs ont changé entre les versions set mess tickets ne sont pas toujours cohérents...
Le problème est que mon glpi 0.78 est sur un serveur 2003 avec une vieille version de xampp et moi j ai crée mon glpi 0.90 sur un serveur 2012 avec un wampp dernière géneration!! Cela complique tout car j ai deux bases différentes
Il faudrait que je monte ma version 0.78 en version  0.90 sur l ancien serveur mais dans ce cas aussi évoluer ma version de serveur mysql!?

Offline

#5 2017-04-27 13:22:51

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 13,879

Re: import tickets

Vous ne devez pas etre en version 0.78 car c'est dans cette version que glpi_tracking est devenue glpi_tickets (comme une bonne centaine de tables qui ont changées de nom).


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#6 2017-04-28 14:59:12

c-dallem
Guest
Registered: 2016-02-02
Posts: 56

Re: import tickets

Bonjour,

en effet toutes mes excuses je me suis emmélé tout seul la version est 0.71

Offline

#7 2017-04-28 15:00:20

c-dallem
Guest
Registered: 2016-02-02
Posts: 56

Re: import tickets

est il possible sur mon serveur 2003 avec ma vieille version de xampp d upgrader celle ci en conservant les bases et de monter mon glpi en version !?

Offline

#8 2017-05-09 17:37:41

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 13,879

Re: import tickets

Je ne connais pas assez xampp pour vous répondre.
Mais je confirme ce que vous as dit LaDenrée : il faut migrer votre base 0.71 en 0.90 avant de pouvoir l'injecter dans votre nouvelle installation.


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB